routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\UserController;
use App\Http\Controllers\AddressController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [UserController::class, 'index']);

Route::resource('users', UserController::class);
Route::resource('address', AddressController::class);

app/Models/Address.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Address extends Model
{
    use HasFactory;
    
    /**
     * The attributes that are mass assignable.
     * @author yogesh 
     * @var array<int, string>
     */
    protected $fillable = [
        'address',
        'city',
        'state',
        'pincode',
    ];

}

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'email',
        'gender',
        'mobile_number',
        'dob',
        'age',
    ];

}

app/Http/Controllers/AddressController.php
<?php

namespace App\Http\Controllers;

use App\Models\Address;
use Illuminate\Http\Request;

class AddressController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $address = Address::latest();
        if (request()->has('search')) {
            $address->where('city', 'Like', '%' . request()->input('search') . '%');
        }
        $address = $address->paginate(10);
        return view('address.index',compact('address'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('address.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'addMoreInputFields.*.address' => 'required',
            'addMoreInputFields.*.state' => 'required',
            'addMoreInputFields.*.city' => 'required',
            'addMoreInputFields.*.pincode' => 'required',
        ],
        [
            'addMoreInputFields.*.address.required' => 'The :attribute is required',
            'addMoreInputFields.*.state.required' => 'The :attribute is required',
            'addMoreInputFields.*.city.required' => 'The :attribute is required',
            'addMoreInputFields.*.pincode.required' => 'The :attribute is required',
        ]);
        foreach ($request->addMoreInputFields as $key => $value) {
            Address::create($value);
        }
                  
        //return $request->all() ;
        return back()->with('success', 'User address created successfully');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Address  $address
     * @return \Illuminate\Http\Response
     */
    public function show(Address $address)
    {
        return 1;
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Address  $address
     * @return \Illuminate\Http\Response
     */
    public function edit(Address $address)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Address  $address
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Address $address)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Address  $address
     * @return \Illuminate\Http\Response
     */
    public function destroy(Address $address)
    {
        $delete=$address->delete();
        if($delete){
            return redirect()->route('address.index')
                        ->with('success','Address deleted successfully');
        } else {
            return redirect()->route('address.create')->with('error', 'Something went wrong!');
        }
    }
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/UserController.php
<?php

namespace App\Http\Controllers;

use App\Models\User;
use Illuminate\Http\Request;


class UserController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $users = User::latest();
        if (request()->has('search')) {
            $users->where('name', 'Like', '%' . request()->input('search') . '%');
        }
        $users = $users->paginate(10);
        return view('users.index',compact('users'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('users.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \App\Http\Requests\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {  
        $validatedData = $request->validate([
            'name' => 'required|max:255',
            'email' => 'required|email|unique:users|max:50',
            'gender' => 'required',
            'mobile_number' => 'required',
            'dob' => 'required',
            'age' => 'required',
            ]);
        $user = User::create($validatedData);
        if($user){
            return redirect()->route('users.index')->with('success', 'User created successfully.');
        }else{
            return redirect()->route('users.index')->with('error', 'User not created successfully.'); 
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\User  $user
     * @return \Illuminate\Http\Response
     */
    public function show(User $user)
    {
        return view('users.show',compact('user'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\User  $user
     * @return \Illuminate\Http\Response
     */
    public function edit(User $user)
    {
        return view('users.edit',compact('user'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \App\Http\Requests  $request
     * @param  \App\Models\User  $user
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, User $user)
    {
        $validatedData = $request->validate([
        'name' => 'required',
        'email' => 'required|email|unique:users,email,'.$user->id,
        'gender' => 'required',
        'mobile_number' => 'required',
        'dob' => 'required',
        'age' => 'required',
        ]);
        $update=$user->update($request->all());
        if($update){
         return redirect()->route('users.index')->with('success', 'User updated successfully.');
        }else{
            return redirect()->route('users.index')->with('error', 'User not updated successfully.'); 
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\User  $user
     * @return \Illuminate\Http\Response
     */
    public function destroy(User $user)
    {
        $delete=$user->delete();
        if($delete){
            return redirect()->route('users.index')
                        ->with('success','User deleted successfully');
        } else {
            return redirect()->route('users.create')->with('error', 'Something went wrong!');
        }
    }
}

resources/views/address/create.blade.php
@extends('users.layout')

@section('content')
<div class="container mt-5">
  <div class="card">
    <div class="card-header font-weight-bold">
      <div class="pull-left">
        <h2>Create Address</h2>
      </div>
      <div class="pull-right">
        <a class="btn btn-primary" href="{{ route('address.index') }}"> Back</a>
      </div>
    </div>
    <div class="card-body">
      @include('alert-message')
      @if ($errors->any())
        <div class="alert alert-danger" role="alert">
          <ul type="none">
            @foreach ($errors->all() as $error)
            <li>{{ $error }}</li>
            @endforeach
          </ul>
        </div>
        @endif
      <div class="jumbotron jumbotron-fluid" id="dataAdd">
        <form name="user-add" id="user-add" method="post" action="{{route('address.store')}}">
          @csrf
          <div class="container">
            <div class="form-row">
              <div class="form-group col-md-5">
                <label>Address</label>
                <input class="form-control" id="address" name="addMoreInputFields[0][address]" type="text" />
              </div>
              <div class="form-group col-md-3">
                <label>State</label>
                <input class="form-control" id="state" name="addMoreInputFields[0][state]" type="text" />
              </div>
              <div class="form-group col-md-2">
                <label>City</label>
                <input class="form-control" id="city" name="addMoreInputFields[0][city]" type="text" />
              </div>
              <div class="form-group col-md-2">
                <label>Pincode</label>
                <input class="form-control" id="pincode" name="addMoreInputFields[0][pincode]" type="text" />
              </div>
            </div>
          </div>
          <button type="button" class="btn btn-success ml-3" id="addRow">Add row</button>
          <button type="button" class="btn btn-danger" id="deleteRow">Delete row</button>
      </div>
      <button type="submit" class="btn btn-primary ">Submit</button>
      </form>
    </div>
  </div>
</div>
<script type="text/javascript">
$(document).ready(function() {

  $("#addRow").click(function() {

    var len = $('#dataAdd .container .form-row').length + 1;

    //if(len&gt;1) 

    $("#dataAdd .container:last").append(`<div class="form-row">
            <div class="form-group col-md-5">
              <label>Address</label>
              <input class="form-control" id="address${len}" name="addMoreInputFields[${len}][address]" type="text" />
            </div>
            <div class="form-group col-md-3">
              <label>State</label>
              <input class="form-control" id="state${len}" name="addMoreInputFields[${len}][state]" type="text" />
            </div>
            <div class="form-group col-md-2">
              <label>City</label>
              <input class="form-control" id="city${len}" name="addMoreInputFields[${len}][city]" type="text" />
            </div>
            <div class="form-group col-md-2">
              <label>Pincode</label>
              <input class="form-control" id="pincode${len}" name="addMoreInputFields[${len}][pincode]" type="text" />
            </div>
            
          </div>`);

  });
});


$("#deleteRow").click(function() {

  var len = $('#dataAdd .container .form-row').length;
  if (len > 1) {

    $("#dataAdd .container .form-row").last().remove();
  } else {
    alert('Not able to Delete');
  }
});
</script>
@endsection

resources/views/address/index.blade.php
@extends('users.layout')

@section('content')
<div class="container mt-4">
  <div class="row">
    <div class="col-lg-12 margin-tb">
      <div class="pull-left">
        <h2> Address </h2>
      </div>
      <div class="pull-right">
        <a class="btn btn-success my-2" href="{{ route('address.create') }}"> Create New Address</a>
      </div>
    </div>
  </div>

  @include('alert-message')
  <form method="GET" action="{{ route('address.index') }}">
    <div class="py-2 flex">
      <div class="form-group">
        <input type="search" name="search" value="{{ request()->input('search') }}" class="w-50 form-control"
          placeholder="Search">
        <button type='submit' class='btn btn-primary flax-inline my-1'>
          {{ __('Search') }}
        </button>
      </div>
    </div>
  </form>
  <table class="table table-bordered">
    <tr>
      <th>No</th>
      <th>Address</th>
      <th>State</th>
      <th>City</th>
      <th>Pincode</th>
      <th width="150px">Action</th>
    </tr>
    @foreach ($address as $addr)
    <tr>
      <td>{{ $loop->iteration }}</td>
      <td>{{ $addr->address }}</td>
      <td>{{ $addr->state }}</td>
      <td>{{ $addr->city }}</td>
      <td>{{ $addr->pincode }}</td>
      <td>
        <form action="{{ route('address.destroy',$addr->id) }}" method="POST">
          @csrf
          @method('DELETE')
          <!-- <a class="btn btn-primary" href="{{ route('users.edit',$addr->id) }}">Edit</a> -->
          <button type="submit" class="btn btn-danger">Delete</button>
        </form>
      </td>
    </tr>
    @endforeach
  </table>

  {!! $address->appends(request()->query())->links() !!}
</div>
@endsection

resources/views/alert-message.blade.php
@if ($message = Session::get('success'))
  <div class="alert alert-success">
    <p>{{ $message }}</p>
  </div>
  @endif

  @if ($message = Session::get('error'))
  <div class="alert alert-danger">
    <p>{{ $message }}</p>
  </div>
  @endif

resources/views/users/create.blade.php
@extends('users.layout')

@section('content')
<div class="container mt-5">
  <div class="card">
    <div class="card-header text-center font-weight-bold">
      <div class="pull-left">
        <h2>User Create</h2>
      </div>
      <div class="pull-right">
        <a class="btn btn-primary" href="{{ route('users.index') }}"> Back</a>
      </div>
    </div>
    <div class="card-body">
      <form name="user-add" id="user-add" method="post" action="{{route('users.store')}}">
        @csrf

        <div class="form-group">
          <label for="name">Name<span class="text-danger">*</span> </label>
          <input type="text" id="name" name="name" value="{{old('name')}}" class="@error('name') is-invalid @enderror form-control">
          @error('name')
          <div class="text-danger mt-1 mb-1">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for="email">Email<span class="text-danger">*</span> </label>
          <input type="text" id="email" name="email" value="{{old('email')}}" class="@error('email') is-invalid @enderror form-control">
          @error('email')
          <div class="text-danger mt-1 mb-1">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for="gender">Gender</label>
          <div class="radio">
            <input type="radio" name="gender" value="male">Male
            <input type="radio" name="gender" value="female">Female
          </div>
          <label id="gender-error" class="error" for="gender"></label>
        </div>
        <div class="form-group">
          <label for="mobile_number">Mobile number<span class="text-danger">*</span> </label>
          <input name="mobile_number"  value="{{old('mobile_number')}}" class="@error('mobile_number') is-invalid @enderror form-control">
          @error('mobile_number')
          <div class="text-danger mt-1 mb-1">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for="dob">DOB<span class="text-danger">*</span> </label>
          <input type="date"  value="{{old('dob')}}" name="dob" class="@error('dob') is-invalid @enderror form-control">
          @error('dob')
          <div class="text-danger mt-1 mb-1">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for="age">Age<span class="text-danger">*</span> </label>
          <select name="age"  value="{{old('age')}}" class="@error('age') is-invalid @enderror form-control">
            <option value="">Select</option>
            @for($i=20; $i<=100; $i++) <option value="{{ $i }}">{{ $i }}</option>
              @endfor
          </select>

          @error('age')
          <div class="text-danger mt-1 mb-1">{{ $message }}</div>
          @enderror
        </div>

        <button type="submit" class="btn btn-primary">Submit</button>
      </form>
    </div>
  </div>
</div>
<script>
if ($("#user-add").length > 0) {
  $("#user-add").validate({
    rules: {
      name: {
        required: true,
        maxlength: 80
      },
      email: {
        required: true,
        email: true,
        maxlength: 50
      },
      gender: {
        required: true,
      },
      dob: {
        required: true,
        date: true
      },
      age: {
        required: true,
      },
      mobile_number: {
        required: true,
        minlength: 10,
        maxlength: 10,
        number: true
      },
    },
    messages: {
      name: {
        required: "Please enter name",
      },
      email: {
        required: "Email is required",
        email: "Email must be a valid email address",
        maxlength: "Email cannot be more than 50 characters",
      },
      gender: {
        required: "Please select the gender",
      },
      dob: {
        required: "Date of birth is required",
        date: "Date of birth should be a valid date"
      },
      age: {
        required: "Please enter age",
      },
      mobile_number: {
        required: "Mobile number is required",
        minlength: "Mobile number must be of 10 digits"
      }
    },
  })
}
</script>
@endsection

resources/views/users/edit.blade.php
@extends('users.layout')

@section('content')
<div class="container mt-5">
  <div class="card">
    <div class="card-header font-weight-bold">
      <div class="pull-left">
        <h2>Edit User</h2>
      </div>
      <div class="pull-right">
        <a class="btn btn-primary" href="{{ route('users.index') }}"> Back</a>
      </div>
    </div>
    <div class="card-body">
      <form name="user-add" id="user-add" method="post" action="{{ route('users.update',$user->id) }}">
        @csrf
        @method('PUT')  
        <div class="form-group">
          <label for="name">Name<span class="text-danger">*</span> </label>
          <input type="text" id="name" name="name" value="{{ $user->name }}"  class="@error('name') is-invalid @enderror form-control">
          @error('name')
          <div class="text-danger mt-1 mb-1">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for="email">Email<span class="text-danger">*</span> </label>
          <input type="text" id="email" name="email" value="{{ $user->email }}" class="@error('email') is-invalid @enderror form-control">
          @error('email')
          <div class="text-danger mt-1 mb-1">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for="gender">Gender</label>
          <div class="radio">
            <input type="radio" name="gender" value="male" {{ ($user->gender =='male')?'checked=""':'' }}>Male
            <input type="radio" name="gender" value="female" {{ ($user->gender =='female')?'checked=""':'' }}>Female
          </div>
          <label id="gender-error" class="error" for="gender"></label>
        </div>
        <div class="form-group">
          <label for="mobile_number">Mobile number<span class="text-danger">*</span> </label>
          <input name="mobile_number" value="{{ $user->mobile_number }}" class="@error('mobile_number') is-invalid @enderror form-control">
          @error('mobile_number')
          <div class="text-danger mt-1 mb-1">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for="dob">DOB<span class="text-danger">*</span> </label>
          <input type="date" name="dob" value="{{ $user->dob }}" class="@error('dob') is-invalid @enderror form-control">
          @error('dob')
          <div class="text-danger mt-1 mb-1">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for="age">Age<span class="text-danger">*</span> </label>
          <select name="age" class="@error('age') is-invalid @enderror form-control">
            <option value="">Select</option>
            @for($i=20; $i<=100; $i++) <option value="{{ $i }}" {{ ($user->age ==$i)?'selected=""':'' }}>{{ $i }}</option>
              @endfor
          </select>

          @error('age')
          <div class="text-danger mt-1 mb-1">{{ $message }}</div>
          @enderror
        </div>

        <button type="submit" class="btn btn-primary">Submit</button>
      </form>
    </div>
  </div>
</div>
<script>
if ($("#user-add").length > 0) {
  $("#user-add").validate({
    rules: {
      name: {
        required: true,
        maxlength: 80
      },
      email: {
        required: true,
        email: true,
        maxlength: 50
      },
      gender: {
        required: true,
      },
      dob: {
        required: true,
        date: true
      },
      age: {
        required: true,
      },
      mobile_number: {
        required: true,
        minlength: 10,
        maxlength: 10,
        number: true
      },
    },
    messages: {
      name: {
        required: "Please enter name",
      },
      email: {
        required: "Email is required",
        email: "Email must be a valid email address",
        maxlength: "Email cannot be more than 50 characters",
      },
      gender: {
        required: "Please select the gender",
      },
      dob: {
        required: "Date of birth is required",
        date: "Date of birth should be a valid date"
      },
      age: {
        required: "Please enter age",
      },
      mobile_number: {
        required: "Mobile number is required",
        minlength: "Mobile number must be of 10 digits"
      }
    },
  })
}
</script>
@endsection

resources/views/users/index.blade.php
@extends('users.layout')

@section('content')
<div class="container mt-4">
  <div class="row">
    <div class="col-lg-12 margin-tb">
      <div class="pull-left">
        <h2>User CRUD </h2>
      </div>
      <div class="pull-right">
        <a class="btn btn-success my-2" href="{{ route('users.create') }}"> Create New user</a>
        <a class="btn btn-warning" href="{{ route('address.index') }}">View Address</a>
      </div>
    </div>
  </div>

  @include('alert-message')
  <form method="GET" action="{{ route('users.index') }}">
    <div class="py-2 flex">
      <div class="form-group">
        <input type="search" name="search" value="{{ request()->input('search') }}" class="w-50 form-control"
          placeholder="Search">
        <button type='submit' class='btn btn-primary flax-inline my-1'>
          {{ __('Search') }}
        </button>
      </div>
    </div>
  </form>
  <table class="table table-bordered">
    <tr>
      <th>No</th>
      <th>Name</th>
      <th>Email</th>
      <th width="250px">Action</th>
    </tr>
    @foreach ($users as $user)
    <tr>
      <td>{{ $loop->iteration }}</td>
      <td>{{ $user->name }}</td>
      <td>{{ $user->email }}</td>
      <td>
        <form action="{{ route('users.destroy',$user->id) }}" method="POST">
          @csrf
          @method('DELETE')
          <a class="btn btn-info" href="{{ route('users.show',$user->id) }}">Show</a>
          <a class="btn btn-primary" href="{{ route('users.edit',$user->id) }}">Edit</a>
          <button type="submit" class="btn btn-danger">Delete</button>
        </form>
      </td>
    </tr>
    @endforeach
  </table>

  {!! $users->appends(request()->query())->links() !!}
</div>
@endsection

resources/views/users/layout.blade.php
<!DOCTYPE html>
<html>

<head>
  <title>Laravel User CRUD Application </title>
  <meta name="csrf-token" content="{{ csrf_token() }}">

  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.0/jquery.validate.min.js"></script>

  <style>
  .error {
    color:#dc3545;
  }
  </style>
</head>

<body>
<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" href="#">Laravel app</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
    <div class="navbar-nav">
      <a class="nav-item nav-link active" href="{{ url('/')}}">Home <span class="sr-only">(current)</span></a>
      <a class="nav-item nav-link" href="{{route('users.index')}}">Users</a>
      <a class="nav-item nav-link" href="{{route('address.index')}}">Address</a>
    </div>
  </div>
</nav>
  <div class="container">
    @if(session('status'))
    <div class="alert alert-success">
      {{ session('status') }}
    </div>
    @endif
    @yield('content')
  </div>

</body>

</html>

resources/views/users/show.blade.php
@extends('users.layout')

@section('content')
<div class="container mt-5">
  <div class="card">
    <div class="card-header font-weight-bold">
      <div class="pull-left">
        <h2>Show User</h2>
      </div>
      <div class="pull-right">
        <a class="btn btn-primary" href="{{ route('users.index') }}"> Back</a>
      </div>
    </div>
    <div class="card-body">

      <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12">
          <div class="form-group">
            <strong>Name:</strong>
            {{ $user->name }}
          </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
          <div class="form-group">
            <strong>Email:</strong>
            {{ $user->email }}
          </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
          <div class="form-group">
            <strong>Gender:</strong>
            {{ ucfirst($user->gender) }}
          </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
          <div class="form-group">
            <strong>Mobile number:</strong>
            {{ ucfirst($user->mobile_number) }}
          </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
          <div class="form-group">
            <strong>DOB:</strong>
            {{  $user->dob }}
          </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
          <div class="form-group">
            <strong>Age:</strong>
            {{ ucfirst($user->age) }}
          </div>
        </div>
      </div>

    </div>
  </div>
</div>
@endsection